package com.zjrs.zwnw.zj.bpo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import org.mohrss.leaf.core.framework.web.controller.AjaxResponse;
import com.zjrs.zwnw.jbxxgl.po.VSAc01PO;
import com.zjrs.zwnw.zj.dto.*;
import org.springframework.web.multipart.MultipartFile;

import jakarta.servlet.http.HttpServletResponse;
import java.io.InputStream;
import java.util.List;
import java.util.Map;

public interface GccrcBPO {

    //高层次人才信息查询
    public GccrcInfoDTO getGccrcInfo(GccrcQueryByIdDTO dto);
    //高层次人才信息查询列表
    public PageResult getGccrcList(GccrcQueryDTO dto, int page, int rows);
    //新增/修改高层次人才信息
    public AjaxResponse saveOrUpdGccrc(GccrcSaveDTO dto);
    //高层次人才信息查询列表
    public PageResult getBglsList(GccrcQueryByIdPageDTO dto, int page, int rows);
    //查询电子卡信息查询
    public GccrcQfInfoDTO getDzkxx(GccrcQfQueryDTO dto);
    //新增/修改高层次人才信息
    public AjaxResponse saveIsZxGccrc(GccrcSaveIsZxDTO dto);
    //高层次人才信息查询列表
    public PageResult getDzkqfList(GccrcQueryByIdPageDTO dto, int page, int rows);
    //新增/修改高层次人才信息
    public AjaxResponse saveQfzt(GccrcQfQueryListDTO dto);
    //导出事项结果表
    public void exportGccrc(GccrcQueryDTO dto, HttpServletResponse res);
    public VSAc01PO queryRyxx(AC01DTO dto);
    public void updateRckzt();
    //查询附件记录
    public PageResult getFjList(GccrcQueryByIdPageDTO dto, int page, int rows);
    //保存附件
    public AjaxResponse saveFj(GccrcFjDTO dto);
    //删除附件
    public AjaxResponse delFj(GccrcFjDTO dto);
    //删除附件
    public AjaxResponse batchGsqs(GccrcGsqsDTO dto);
    //导入高层次人才信息
    public Map<String, String> importGccrc(InputStream is) throws Exception;
    //高层次人才信息导入汇总
    public List<Map<String,Integer>> queryGccrcDrhz(DrDTO dto);
    //高层次人才信息导入失败
    public PageResult queryGccrcDrsb(DrDTO dto, int page, int rows);
    //高层次人才信息导入成功
    public PageResult queryGccrcDrcg(DrDTO dto, int page, int rows);
    //导入照片
    public Map<String, String> importPhoto(MultipartFile file, String suffix) throws Exception;
    //导入照片汇总
    public List<Map<String,Integer>> queryPhotoDrhz(DrDTO dto);
    //导入照片失败
    public PageResult queryPhotoDrsb(DrDTO dto, int page, int rows);
    //导入照片成功
    public PageResult queryPhotoDrcg(DrDTO dto, int page, int rows);
}
